> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasvdihoststatus.md).

# Get-RASVDIHostStatus.md

## NAME

Get-RASVDIHostStatus

## SYNOPSIS

Retrieves the list of, or a specific, host status.

## SYNTAX

\*\*Get-RASVDIHostStatus \[[ProviderId](#providerid-string)] *(uint)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[HostId](#hostid-string) *(string)* \[-[StatusLevel](#StatusLevel) {Level1 | Level2 | Level3}] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASVDIHostStatus \[-[InputObject](#inputobject)] *(*[*VDIHost*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihost.md)*)* \[[ProviderId](#providerid-string)] *(uint)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[-[StatusLevel](#StatusLevel) {Level1 | Level2 | Level3}] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASVDIHostStatus \[\[-[ProviderId](#providerid-string)] *(uint)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[-[StatusLevel](#StatusLevel) {Level1 | Level2 | Level3}] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the list of, or a specific, host status.

## PARAMETERS

## ProviderId (uint)

The ID of a Provider server from which to obtain the Host vm list.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the Host VM list.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostId (string)

The ID of the Host vm. To obtain the ID, use the Get-RASVDIHost cmdlet.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([VDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihost.md))

An object of type VDIHost representing a Host vm for which to retrieve the information.

To obtain the object, use the Get-RASVDIHost cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## User (string)

The username assigned to Host.

If empty square brackets (\[]) are passed, the Host list will be filtered with those with an assigned user.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## StatusLevel ([StatusLevel](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/statuslevel.md))

Specifies the level of detail that should be returned.

Acceptable values: Level1 (VDI Host status information only), Level2 (VDI Host status and Host VM info), Level3 (VDI Host status, Host VMs, Applications).

Possible values: Level1, Level2, Level3

```
        Required?                    false

        Position?                    named

        Default value                Level1

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[VDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihost.md)

## OUTPUTS

[VDIHostSysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihostsysinfo.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASVDIHostStatus | Format-List

Retrieves the list of host statuses.\
\*\*---------- EXAMPLE 2 ----------

Get-RASVDIHostStatus -ProviderId 1

Retrieves the list of host statuses from the specified Provider server.\
\*\*---------- EXAMPLE 3 ----------

Get-RASVDIHostStatus -ProviderId 1 -SiteId 1

Retrieves the list of host statuses from the specified Provider server from the specified site.\
\*\*---------- EXAMPLE 4 ----------

Get-RASVDIHostStatus -ProviderId 1 -SiteId 1 -HostId "" | Format-List

Retrieves the specified host status from the specified Provider server from the pecified site.

## RELATED LINKS

* [Get-RASVDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasvdihost.md)
* [Remove-RASVDIHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasvdihost.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasvdihoststatus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
